# 66. التغيير: حفظ الحقل

تعديل لحقل "Field" الحالي بحدود و/أو اسم جديد.&#x20;

{% hint style="info" %}
لتعديل حدود "Field" الحالي استخدم `registerField` المتحول.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation SaveFieldSample {
  saveField(
    input: { 
      uuid: "<placeholder_of_field_uuid>"
      farmUuid: "<placeholder_of_farm_uuid>"
    	 name: "Field_name" 
    }
  ) {
    uuid
    معرف_المزرعة
    الاسم
    رابط_الحدود
    topographyMaps {
      uuid
      معرف_الحقل
      status
      خرائط_جغرافية {
        الاسم_القصير
        رابط
        hexColorCodes
        classes
      }
    }
    labels {
      الاسم
      value
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/66.-altghyyr-hfz-alhql.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
